### Function

# EDataServer binding_transform_enum_value_to_nick

since: 3.4

#### Declaration [src]

    gboolean
    e_binding_transform_enum_value_to_nick (
      GBinding* binding,
      const GValue* source_value,
      GValue* target_value,
      gpointer not_used
    )

#### Description [src]

Transforms an enumeration value to its corresponding nickname.

Available since: 3.4

#### Parameters

`binding`

  Type: `GBinding`

  A `GBinding`.

  The data is owned by the caller of the function.

`source_value`

  Type: `GValue`

  A `GValue` whose type is derived from #G_TYPE_ENUM.

  The data is owned by the caller of the function.

`target_value`

  Type: `GValue`

  A `GValue` of type #G_TYPE_STRING.

  The data is owned by the caller of the function.

`not_used`

  Type: `gpointer`

  Not used.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the enum value has a corresponding nickname.